- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaServiceSupportedDevicesInterface
- Qt 5.3.2 Reference Documentation

# QMediaServiceSupportedDevicesInterface Class

The QMediaServiceSupportedDevicesInterface class interface identifies the devices supported by a media service plug-in. More...

Header: | `#include <QMediaServiceSupportedDevicesInterface>`
qmake: | `QT += multimedia`

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceSupportedDevicesInterface()
virtual QString | deviceDescription(const QByteArray & service, const QByteArray & device) = 0
virtual QList<QByteArray> | devices(const QByteArray & service) const = 0

## Detailed Description

The QMediaServiceSupportedDevicesInterface class interface identifies the devices supported by a media service plug-in.

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### QMediaServiceSupportedDevicesInterface::~QMediaServiceSupportedDevicesInterface()`[virtual]`

Destroys a media service supported devices interface.

### QString QMediaServiceSupportedDevicesInterface::deviceDescription(const QByteArray & service, const QByteArray & device)`[pure virtual]`

Returns the description of a device available for a service type.

### QList<QByteArray> QMediaServiceSupportedDevicesInterface::devices(const QByteArray & service) const`[pure virtual]`

Returns a list of devices available for a service type.